Last modified: 2014-03-19 19:35:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35026 - "oversighter", "oversight", "unoversight", "hide" and "unhide" messages are very unclear
"oversighter", "oversight", "unoversight", "hide" and "unhide" messages are v...
Status: REOPENED
Product: MediaWiki extensions
Classification: Unclassified
ArticleFeedbackv5 (Other open bugs)
unspecified
All All
: Lowest major (vote)
: ---
Assigned To: Fabrice Florin
: design, i18n
Depends on: 39282
Blocks: messages
  Show dependency treegraph
 
Reported: 2012-03-07 07:48 UTC by Amir E. Aharoni
Modified: 2014-03-19 19:35 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2012-03-07 07:48:44 UTC
ArticleFeedback5 extensively uses the words "oversighter", "oversight", "unoversight", "hide" and "unhide". These are very unclear even to English users - "oversighter", "unoversight" and "unhide" don't appear in dictionaries (try typing them with a spelling checker and check Google and m-w.com). "Oversight" developed a very different meaning in the MediaWiki world - it's supposed to be a noun meaning "watchful care" and not a verb meaning "hide offensive posts".

And while for English speakers this is merely weird, it's totally opaque for translators of the extension.

All the messages absolutely must be clearly documented in the qqq space. Without this the extension cannot be translated. And the usage of "oversight", and especially "oversighter" and "unoversight" must be reconsidered. It's not a matter of grammar nitpicking, but of simple usability: "Oversight" is first-generation internal MediaWiki jargon, and "oversighter" and "unoversight" are second-generation internal MediaWiki jargon. Second-generation jargon is not supposed to creep into an extension the goal of which is to improve usability.
Comment 1 Mark A. Hershberger 2012-03-07 18:51:50 UTC
Asking Brandon to weigh in on this.
Comment 2 Brandon Harris 2012-03-07 19:09:10 UTC
I'm unsure that the extension requires translation at this point - it's currently in experimentation mode, trying to find the optimal set up. So it may be premature to even have this conversation.


But then, aside from that:  "oversighter" in this case is a user role/right.  Individuals with the Oversight permissions are supposed to hide posts. This is a functional requirement of the feature; I'm not sure how any of these terms could be changed.

Also, this extension's goal is not to improve usability; it is designed to improve the ability of the Foundation to determine overall quality of articles and engage with readers.  It is very Foundation specific, so I don't think there's a problem with using "Wikipedia Jargon".
Comment 3 Mark A. Hershberger 2012-03-07 19:20:22 UTC
Amir, WONTFIX?
Comment 4 Amir E. Aharoni 2012-03-08 06:22:37 UTC
The problem begins even before translation. If i understand correctly, some of the messages are visible to all users, and nobody should be expected to understand these terms in English.

And in the MediaWiki world we believe that the right time for translation is as early as possible after the message is added to the trunk. It proved itself many times - it helps uncover bugs early and remind the developers how important documentation is.

The usage of the terms may be up to debate; I've been told that even the legal department wants them (citation needed). But full qqq documentation of the messages is absolutely essential.
Comment 5 Elizabeth M Smith 2012-03-14 21:42:36 UTC
All items with "oversight", "unoversight" have qqq entries, and all qqq entries have been expanded upon to define oversight/unoversight terms
Comment 6 Mark A. Hershberger 2012-03-18 16:59:11 UTC
(In reply to comment #5)
> All items with "oversight", "unoversight" have qqq entries, and all qqq entries
> have been expanded upon to define oversight/unoversight terms

marking fixed
Comment 7 Amir E. Aharoni 2012-04-09 05:25:10 UTC
Reopening. There are still messages with useless documentation. For example, the documentation for articlefeedbackv5-mask-text-oversight says "Text to be displayed on the oversighted post mask". The idea is not just to say where does the text appear, but also to explain what "oversighted" means and in particular, how is it different from "hidden". Volunteer translators cannot be expected to know it.

It's OK to create one glossary page and to link to it from all the relevant message documentation strings.
Comment 8 Yoni Shostak 2012-06-25 18:27:50 UTC
This page has a very detailed explanations of all AFTv5 requirements and terminology.

http://www.mediawiki.org/wiki/Article_feedback/Version_5/Feature_Requirements

Should we provide a link to it in the i18n file header?
Comment 9 Amir E. Aharoni 2012-07-01 13:56:24 UTC
Yoni, Fabrice and everybody else - thanks a lot for writing this documentation. It makes things clearer.

A link to it should be added to every relevant qqq message. Something similar was done in the FlaggedRevs extension. The following templates were created:
* http://translatewiki.net/wiki/Template:Flagged_Revs
* http://translatewiki.net/wiki/Template:Flagged_Revs-small

These templates were transcluded in many qqq messages for FlaggedRevs. See FlaggedRevs/frontend/language .

You can create templates like this for ArticleFeedback in translatewiki.net, put a link to this documentation page in them and add them to the qqq messages.

The term "Oversight" should still be replaced with "Delete", because it's clearer even in English.
Comment 10 Nemo 2012-07-24 07:24:43 UTC
I agree, we've been slowly getting rid of this awful terminology (ex Oversight extension) and now it slips back in? See also bug 38378.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links